Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Po Lu <[email-masked]>
Date: Sun, 01 May 2022 08:12:41 +0800

Lars Ingebrigtsen <[email-masked]> writes:

>> Also, nsterm.m should be modified as well, no?
>
> Geez.  Yup; now pushed.

There's also haikufns.c and pgtkfns.c, which I will take care of, but I
strongly disagree that `x-show-tip' should allow its default timeout to
be configurable: people will be confused at the difference between
`tooltip-hide-delay' and that new variable, and `x-show-tip' is a
programmatic interface, _NOT_ something that should decide a delay by
itself.

So I would rather this new variable be removed, and all the places that
we call `x-show-tip' manually be fixed to respect `tooltip-hide-delay',
if appropriate.

Thanks.